package com.fs.chat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 聊天角色对象 chat_role
 *
 * @author fs
 * @date 2024-04-21
 */
public class ChatRole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long roleId;

    /** 角色名 */
    @Excel(name = "角色名")
    private String roleName;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 角色类型 */
    @Excel(name = "角色类型")
    private Integer roleType;

    /** 角色配置 */
    @Excel(name = "角色配置")
    private String configJson;

    /** 模型1chatgpt 2文心一言 */
    @Excel(name = "模型1chatgpt 2文心一言")
    private Integer mode;

    /** 客服ID */
    @Excel(name = "客服ID")
    private String kfId;

    /** 客服URL */
    @Excel(name = "客服URL")
    private String kfUrl;

    /** 模型JSON */
    @Excel(name = "模型JSON")
    private String modeConfigJson;

    private String kfMediaId;

    private String kfHeadUrl;


    public String getKfHeadUrl() {
        return kfHeadUrl;
    }

    public void setKfHeadUrl(String kfHeadUrl) {
        this.kfHeadUrl = kfHeadUrl;
    }

    public String getKfMediaId() {
        return kfMediaId;
    }

    public void setKfMediaId(String kfMediaId) {
        this.kfMediaId = kfMediaId;
    }

    public void setRoleId(Long roleId)
    {
        this.roleId = roleId;
    }

    public Long getRoleId()
    {
        return roleId;
    }
    public void setRoleName(String roleName)
    {
        this.roleName = roleName;
    }

    public String getRoleName()
    {
        return roleName;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setRoleType(Integer roleType)
    {
        this.roleType = roleType;
    }

    public Integer getRoleType()
    {
        return roleType;
    }
    public void setConfigJson(String configJson)
    {
        this.configJson = configJson;
    }

    public String getConfigJson()
    {
        return configJson;
    }
    public void setMode(Integer mode)
    {
        this.mode = mode;
    }

    public Integer getMode()
    {
        return mode;
    }
    public void setKfId(String kfId)
    {
        this.kfId = kfId;
    }

    public String getKfId()
    {
        return kfId;
    }
    public void setKfUrl(String kfUrl)
    {
        this.kfUrl = kfUrl;
    }

    public String getKfUrl()
    {
        return kfUrl;
    }
    public void setModeConfigJson(String modeConfigJson)
    {
        this.modeConfigJson = modeConfigJson;
    }

    public String getModeConfigJson()
    {
        return modeConfigJson;
    }


}
